summaryrefslogtreecommitdiff
path: root/git-maintenance/store.sh
diff options
context:
space:
mode:
authorolpc user <olpc@xo-5d-f7-86.localdomain>2020-01-10 18:18:03 -0800
committerolpc user <olpc@xo-5d-f7-86.localdomain>2020-01-10 18:18:03 -0800
commit919988a69438ef4eab174f26e9fc98662a324769 (patch)
tree9508cf77f042bf8d73dfaea07fe7a1a6d72c7f76 /git-maintenance/store.sh
parent3223a360d0e70f75497aecf8c033a4f987335b5b (diff)
downloadstandingwithresilience-919988a69438ef4eab174f26e9fc98662a324769.tar.gz
standingwithresilience-919988a69438ef4eab174f26e9fc98662a324769.zip
workaround to issue
Diffstat (limited to 'git-maintenance/store.sh')
-rwxr-xr-xgit-maintenance/store.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/git-maintenance/store.sh b/git-maintenance/store.sh
index 432998f..3e442a2 100755
--- a/git-maintenance/store.sh
+++ b/git-maintenance/store.sh
@@ -145,7 +145,14 @@ if [ "$(curl -s "$URLPFX"/dog.sh | sha256sum)" = "$(cat encrypted/dog.sh | sha25
# some imagine anger to process disconnected parts.
cd "$MAINTDIR"
-node bsvup/cli.js upload -f "$GITDIR"/encrypted -t dir -p "${PASS#pass:}" -v # -b
+node bsvup/cli.js upload -f "$GITDIR"/encrypted -t dir -p "${PASS#pass:}" -v || {
+ # -b
+ echo
+ echo "I found a small adjustment that helped with random corruption error:"
+ echo " patch -p1 < magic/mysterious*.patch"
+ echo "I wish I had the capacity to resolve the problem for real."
+ echo
+}
# 'is this a good way to be' <- habit's task for self and others, by living
# the best way to be it can.